%define         docfiles       copying README changelog

Name:           wmcpufreq
Version:        3.1
Release:        %mkrel 5
Summary:        Yet another dockapp for monitoring CPU frequency
License:        GPLv2
Group:          Monitoring

URL:            http://repo.or.cz/dockapps.git/shortlog/refs/tags/wmcpufreq-3.1
Source0:        %{name}-%{version}.tar.gz
#force displaying freq=f_max if freq>f_max (may happen for varying
#f_max intel_pstates)
Patch0:         wmcpufreq-3.0-fmax.patch

BuildRequires:  glibc-devel
BuildRequires:  libcpufreq-devel
BuildRequires:  libgtk+2.0-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(dockapp)

ExclusiveArch:	%{ix86} x86_64

%description
Wmcpufreq is a dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the
frequency of each of your CPU cores in use between the maximum and
minimum allowed values. The driver used appears in green while the
active governor is in red.


%prep
%setup -q
%autopatch -p1

%build
%make CFLAGS="%optflags" LIBDIR="%ldflags"


%install
chmod 644 %{docfiles}
cd %{name}
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}


%files
%doc %{docfiles}
%{_bindir}/wmcpufreq




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.1-5.mga8
+ Revision: 1518152
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.1-4.mga7
+ Revision: 1301683
- Mageia 7 Mass Rebuild

* Sat Apr 02 2016 pterjan <pterjan> 3.1-3.mga6
+ Revision: 997539
- Restrict to x86

* Fri Feb 19 2016 umeabot <umeabot> 3.1-2.mga6
+ Revision: 970863
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 eatdirt <eatdirt> 3.1-1.mga6
+ Revision: 888660
- Upgrade to version 3.1

* Fri Jan 02 2015 eatdirt <eatdirt> 3.0-9.mga5
+ Revision: 808186
- Fix display corruption with intel_pstates driver

* Sat Nov 15 2014 eatdirt <eatdirt> 3.0-8.mga5
+ Revision: 797325
- Add patch to specify whith cpuids to monitor

* Wed Nov 12 2014 eatdirt <eatdirt> 3.0-7.mga5
+ Revision: 796701
- Fix segfault with unknown arguments

* Wed Oct 15 2014 umeabot <umeabot> 3.0-6.mga5
+ Revision: 743250
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-5.mga5
+ Revision: 690330
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0-4.mga4
+ Revision: 520221
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.0-3.mga3
+ Revision: 385725
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 3.0-2.mga3
+ Revision: 314566
- Rebuild for mga3

* Fri Sep 30 2011 eatdirt <eatdirt> 3.0-1.mga2
+ Revision: 150499
- imported package wmcpufreq


* Fri Sep 30 2011 Chris Ringeval <dirteat@gmail.com> 3.0-1.mga2
- import wmcpufreq

